### Virtual Method

# Camel Folder append_message_sync

since: 3.0

#### Declaration [src]

    gboolean
    append_message_sync (
      CamelFolder* folder,
      CamelMimeMessage* message,
      CamelMessageInfo* info,
      gchar** appended_uid,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Appends `message` to `folder`. Only the flag and tag data from `info` are used. If `info` is `NULL`, no flags or tags will be set.

Available since: 3.0

#### Parameters

`message`

  Type: `CamelMimeMessage`

  A `CamelMimeMessage`.

  The data is owned by the caller of the method.

`info`

  Type: `CamelMessageInfo`

  A `CamelMessageInfo` with additional flags/etc to set on the new message, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`appended_uid`

  Type: `gchar**`

  If non-`NULL`, the UID of the appended message will be returned here, if it is known.

  The argument will be set by the function.
  The argument can be set to `NULL` by the virtual function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.